Xalan-Java 2.7.1: Class ElemExtensionDecl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExtensionDecl

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemExtensionDecl

public class ElemExtensionDecl
extends ElemTemplateElement

Implement the declaration of an extension element

See Also:
  Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`ElemExtensionDecl()` Constructor ElemExtensionDecl

Method Summary
`void` | `compose(StylesheetRoot sroot)`
`java.lang.String` | `getElement(int i)` Get the element at the given index
`int` | `getElementCount()` Return the count of elements defined for this extension element
`StringVector` | `getElements()` Get StringVector of elements defined for this extension
`java.lang.String` | `getFunction(int i)` Get a function at a given index in this extension element
`int` | `getFunctionCount()` Get count of functions defined in this extension element
`StringVector` | `getFunctions()` Get the names of functions defined in this extension
`java.lang.String` | `getPrefix()` Get the prefix for this extension element
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `runtimeInit(TransformerImpl transformer)` This function will be called on top-level elements only, just before the transform begins.
`void` | `setElements(StringVector v)` Set StringVector of elements for this extension
`void` | `setFunctions(StringVector v)` Set the names of functions defined in this extension
`void` | `setPrefix(java.lang.String v)` Set the prefix for this extension element

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExtensionDecl

    public ElemExtensionDecl()

  Constructor ElemExtensionDecl

Method Detail

### setPrefix

    public void setPrefix(java.lang.String v)

  Set the prefix for this extension element
  Parameters:
    `v` - Prefix to set for this extension element
  Overrides:
    setPrefix in class UnImplNode

### getPrefix

    public java.lang.String getPrefix()

  Get the prefix for this extension element
  Returns:
    Prefix for this extension element
  Overrides:
    getPrefix in class UnImplNode

### setFunctions

    public void setFunctions(StringVector v)

  Set the names of functions defined in this extension
  Parameters:
    `v` - StringVector holding the names of functions defined in this extension

### getFunctions

    public StringVector getFunctions()

  Get the names of functions defined in this extension
  Returns:
    StringVector holding the names of functions defined in this extension

### getFunction

    public java.lang.String getFunction(int i)
                                 throws java.lang.ArrayIndexOutOfBoundsException

  Get a function at a given index in this extension element
  Parameters:
    `i` - Index of function to get
  Returns:
    Name of Function at given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -

### getFunctionCount

    public int getFunctionCount()

  Get count of functions defined in this extension element
  Returns:
    count of functions defined in this extension element

### setElements

    public void setElements(StringVector v)

  Set StringVector of elements for this extension
  Parameters:
    `v` - StringVector of elements to set

### getElements

    public StringVector getElements()

  Get StringVector of elements defined for this extension
  Returns:
    StringVector of elements defined for this extension

### getElement

    public java.lang.String getElement(int i)
                                throws java.lang.ArrayIndexOutOfBoundsException

  Get the element at the given index
  Parameters:
    `i` - Index of element to get
  Returns:
    The element at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -

### getElementCount

    public int getElementCount()

  Return the count of elements defined for this extension element
  Returns:
    the count of elements defined for this extension element

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.
  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  Overrides:
    compose in class ElemTemplateElement

### runtimeInit

    public void runtimeInit(TransformerImpl transformer)
                     throws TransformerException

  This function will be called on top-level elements only, just before the transform begins.
  Parameters:
    `transformer` - The XSLT TransformerFactory.
  Throws:
    TransformerException -
  Overrides:
    runtimeInit in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.